use nds;
create table BLOOD_UNIT(
	id_blood_unit varchar(13) primary key,
	id_collection varchar(13) 
	constraint fk_id_collection_blood_unit foreign key(id_collection) references COLLECTION(id_collection),
	collection_code varchar(13),
	blood_unit_code varchar(13) not null,
	blood_unit_type int	
)

alter table blood_unit
drop constraint fk_id_collection_blood_unit

alter table blood_unit
add constraint fk_id_collection_blood_unit foreign key(id_collection) references COLLECTION(id_collection)


select B.CD_BOLSA AS blood_unit_code, B.CD_BOLSA AS id_blood_unit, 
A.id_collection AS id_collection, A.collection_code AS collection_code,
B.TP_BOLSA
FROM COLLECTION A LEFT OUTER JOIN OBJ140 B
ON A.collection_code = B.CD_COLET
where B.CD_BOLSA is not null

select * from blood_unit

truncate table blood_unit