use nds;
create table DONATION (
	id_donation varchar(13) primary key,
	donation_code varchar(13) not null,
	id_collection varchar(13) 
	constraint fk_id_collection_donation foreign key(id_collection) references COLLECTION(id_collection),
	collection_code varchar(13) not null,
	id_blood_unit varchar(13)
	constraint fk_id_blood_unit_donation foreign key(id_blood_unit) references BLOOD_UNIT(id_blood_unit),
	blood_unit_code varchar(13) not null,
	donation_type int, 
	donation_product int,
	donation_success int	
)

alter table donation
drop constraint fk_id_collection_donation

alter table donation
add constraint fk_id_collection_donation foreign key(id_collection) references COLLECTION(id_collection)

alter table donation
drop constraint fk_id_blood_unit_donation 

alter table donation
add constraint fk_id_blood_unit_donation  foreign key(id_blood_unit) references BLOOD_UNIT(id_blood_unit)
