SELECT B.CD_COLET AS id_colet, B.CD_COLET AS collection_code, A.id_screening,
B.DT_COLET AS collection_date, C.CD_RECOL AS reaction
FROM SCREENING A, OBJ140 B 
LEFT OUTER JOIN OBJ141 C
ON B.CD_COLET = C.CD_COLET
where A.screening_code = B.CD_TRIAG

use stage;
create table COLLECTION (
	id_collection varchar(13) primary key,
	collection_code varchar(13) not null,
	id_screening varchar(20) 
	constraint fk_id_screening_collection foreign key(id_screening) 
	references SCREENING(id_screening),
	screening_code varchar(20),
	collection_date date,
	reaction int
)

alter table collection
add constraint fk_id_screening_collection foreign key(id_screening) references SCREENING(id_screening)

alter table collection
drop constraint fk_id_screening_collection

