use stage;
CREATE TABLE DEFERRAL_HAS_DEFERRAL_REASON(
	id_deferral varchar(20) not null
	constraint fk_id_deferral_deferral_has_deferral_reason foreign key (id_deferral) references DEFERRAL(id_deferral),
	deferral_code varchar(10) not null
	constraint fk_deferral_code_deferral_has_deferral_reason foreign key (deferral_code) references DEFERRAL_REASON(deferral_code)
	
)

ALTER TABLE DEFERRAL_HAS_DEFERRAL_REASON
drop constraint fk_id_deferral_deferral_has_deferral_reason

ALTER TABLE DEFERRAL_HAS_DEFERRAL_REASON
add constraint fk_id_deferral_deferral_has_deferral_reason foreign key (id_deferral) references DEFERRAL(id_deferral)

ALTER TABLE DEFERRAL_HAS_DEFERRAL_REASON
drop constraint fk_deferral_code_deferral_has_deferral_reason

ALTER TABLE DEFERRAL_HAS_DEFERRAL_REASON
add constraint fk_deferral_code_deferral_has_deferral_reason foreign key (deferral_code) references DEFERRAL_REASON(deferral_code)


SELECT A.ID_DEFERRAL, B.CD_MOREC
FROM DEFERRAL A LEFT OUTER JOIN OBJ151 B
ON A.SCREENING_CODE = B.CD_TRIAG