SELECT distinct(A.CD_TRIAG), B.status , B.visit_date AS start_date, C.DT_INAPT AS deferral_length
FROM OBJ151 A LEFT OUTER JOIN SCREENING B
ON A.CD_TRIAG = B.screening_code
LEFT OUTER JOIN (
	SELECT OBJ150.CD_TRIAG, OBJ150.DT_INAPT from OBJ150
) C
ON A.CD_TRIAG = C.CD_TRIAG
 
 
 
CREATE TABLE DEFERRAL (

  id_deferral varchar(20) primary key not null,
  permanent bit,
  screening_code varchar(20) not null,
  id_screening varchar(20) not null
  constraint fk_id_screening_deferral foreign key(id_screening) references SCREENING(id_screening),
  deferral_length int,
  start_date date
 )
 
 alter table deferral
 drop constraint fk_id_screening_deferral
 
 alter table deferral
 add constraint fk_id_screening_deferral foreign key(id_screening) references SCREENING(id_screening)
 
