use nds;
create table SCREENING (
    id_screening varchar(20) primary key not null,
    screening_code varchar(20) not null,
    id_donor varchar(13) not null
    constraint fk_id_donor_screening foreign key (id_donor) references donor(id_donor),
    donor_code varchar(13) not null,    
    visit_date date,
    height int,
    weight int, 
    received_transfusion int, 
    transfusion_year int,
    education_level int, 
    has_given_blood int,
    pregnant_before int, 
    number_pregnancies int, 
    hemoglobin numeric,
    hematocrit int,
    cue int, 
    temperature decimal(5,2),
    min_blood_pressure int,
    max_blood_pressure int,
    pulse int, 
    number_sexual_partners int, 
    location_mobility int, 
    location_code int, 
    has_donation_history int, 
    has_search_history int, 
    last_donation_date varchar(50),
    status int
)



/*alter table screening 
drop constraint fk_id_donor_screening;*/


/*alter table screening 
add constraint fk_id_donor foreign key(id_donor) references donor(id_donor);*/


