USE [stage]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[OBJ150](
	[CD_TRIAG] [varchar](20) NULL,
	[CD_AVTRI] [varchar](2) NULL,
	[status] [varchar](2) NULL,
	[CD_PESFI_ORIG] [varchar](50) NULL,
	[CD_PESFI] [varchar](13) NULL,
	[CD_PESFIRES] [int] NULL,
	[CD_PESFIMIC] [int] NULL,
	[CD_PESFISIN] [int] NULL,
	[DS_OBSER] [varchar](50) NULL,
	[DT_TRIAG] [datetime] NULL,
	[QT_COLET] [int] NULL,
	[QT_PESO_ORIG] [int] NULL,
	[QT_PESO] [int] NULL,
	[QT_PRESS] [varchar](5) NULL,
	[QT_PULSO_ORIG] [int] NULL,
	[QT_PULSO] [int] NULL,
	[TP_PULSO] [bit] NULL,
	[QT_TEMPE_ORIG] [decimal](5, 2) NULL,
	[QT_TEMPE] [varchar](6) NULL,
	[TP_BOLSA] [varchar](1) NULL,
	[CD_RESPATUA] [varchar](12) NULL,
	[DT_ULTATUA] [smalldatetime] NULL,
	[HR_ULTATUA] [varchar](6) NULL,
	[QT_PRESSMAX_ORIG] [int] NULL,
	[QT_PRESSMAX] [int] NULL,
	[QT_PRESSMIN_ORIG] [int] NULL,
	[QT_PRESSMIN] [int] NULL,
	[HR_ATEND] [varchar](6) NULL,
	[CD_LOCCO] [int] NULL,
	[DT_GERTRI] [varchar](11) NULL,
	[CD_OPDOA] [varchar](1) NULL,
	[CD_BRACODIR] [bit] NULL,
	[CD_BRACOESQ] [bit] NULL,
	[TP_HEMOGL] [bit] NULL,
	[CD_VOTAE_ORIG] [bit] NULL,
	[CD_VOTAE] [varchar](1) NULL,
	[CD_ENTJU] [int] NULL,
	[NU_HEMAT_ORIG] [decimal](3, 1) NULL,
	[NU_HEMAT] [varchar](2) NULL,
	[CD_OPDOADOR] [varchar](1) NULL,
	[TP_DOADOR] [varchar](2) NULL,
	[NU_HEMOG_ORIG] [decimal](5, 2) NULL,
	[NU_HEMOG] [varchar](5) NULL,
	[CD_PESFIBEN] [int] NULL,
	[NM_PESFIBEN] [varchar](50) NULL,
	[DS_OBSERCOL] [varchar](50) NULL,
	[CD_ENTJUREC] [int] NULL,
	[CD_MOTDO] [varchar](10) NULL,
	[LC_FLEBO] [varchar](15) NULL,
	[QT_PLAC] [int] NULL,
	[DS_OBSERTRI] [varchar](50) NULL,
	[QT_TEMPINA] [int] NULL,
	[HR_INICCA] [varchar](6) NULL,
	[HR_INICPT] [varchar](6) NULL,
	[HR_INICEC] [varchar](6) NULL,
	[HR_TERMICA] [varchar](6) NULL,
	[HR_TERMIPT] [varchar](6) NULL,
	[HR_TERMIEC] [varchar](6) NULL,
	[ST_HEMOG] [bit] NULL,
	[ST_HEMAT] [bit] NULL,
	[ST_PULSO] [bit] NULL,
	[ST_PRESSMAX] [bit] NULL,
	[ST_PRESSMIN] [bit] NULL,
	[ST_TEMPE] [bit] NULL,
	[ST_PESO] [bit] NULL,
	[TP_QUEST] [varchar](10) NULL,
	[QT_CONTPLAQ] [int] NULL,
	[ST_CONTPLAQ] [bit] NULL,
	[FL_TRIINIC] [bit] NULL,
	[CD_PRIORI] [varchar](10) NULL,
	[TP_DOACA] [varchar](1) NULL,
	[DS_OBSIMUNO] [varchar](50) NULL,
	[ST_TOMOUAAS] [bit] NULL,
	[CD_PRODCOLET] [varchar](10) NULL,
	[ST_BOLSAFRAC] [bit] NULL,
	[QT_CONTLEUC] [int] NULL,
	[DT_INAPT_ORIG] [varchar](10) NULL,
	[DT_INAPT] [datetime] NULL
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO


