use stage;

CREATE TABLE DONOR (
id_donor varchar(13) primary key,
donor_code varchar(50),
birthdate varchar(50),
gender int,
zip_code varchar(50),
abo_group int, 
rh_factor int,
birth_country varchar(50),
declared_race int,
race int
);

drop table donor;

create view x as
SELECT  OBJ020.CD_PESFI as 'id_donor', OBJ020.CD_PESFI AS 'donor_code', 
OBJ020.DT_NACTO_ORIG as 'birthdate',  OBJ020.CD_CEP_ORIG as 'zip_code', 
OBJ025.CD_GRABO_ORIG as 'abo_group', OBJ025.CD_NACIO  as 'birth_country', 
A.CD_RESP8 AS 'declared_race', NULL AS 'race', OBJ020.CD_SEXO_ORIG AS 'gender_orig', 
NULL as 'gender', OBJ025.CD_FATRH_ORIG as 'rh_factor'
FROM OBJ020
LEFT OUTER JOIN OBJ025
ON OBJ020.CD_PESFI = OBJ025.CD_PESFI
LEFT OUTER JOIN (
   SELECT OBJ160A.CD_RESP8, OBJ150.CD_PESFI
   FROM OBJ160A LEFT OUTER JOIN OBJ150
   ON OBJ150.CD_TRIAG = OBJ160A.CD_TRIAG
) A
ON A.CD_PESFI = OBJ020.CD_PESFI

select * from x where id_donor is null or donor_code is null